//
//  AdressInterface.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/8.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//MARK:--登录
//params-key(user_token(用户token    ),key_word(关键字))
func AddressList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("地址列表", params, { (rep:DataResponse<AddressListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

/*
params-key(
 user_token(用户token    )
address_id 地址ID
consignee 联系人
 province 省ID
 city 市ID
 district 区ID
 street 街ID
 address 详细地址
 mobile 手机号码
 tel 电话号码
 is_default     是否默认收货地址，1是0非
 is_send_default 是否默发收货地址，1是0非
 */
func EditAddress(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("编辑地址", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

/*
params-key(
 user_token(用户token    )
consignee 联系人
 province 省ID
 city 市ID
 district 区ID
 street 街ID
 address 详细地址
 mobile 手机号码
 tel 电话号码
 is_default     是否默认收货地址，1是0非
 is_send_default 是否默发收货地址，1是0非
 */
func AddAddress(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("新增地址", params, { (rep:DataResponse<AddAddressDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}


/*
params-key(
 user_token(用户token    )
address_id 地址id

 */
func AddressDel(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("删除地址", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
