//
//  GetBindUserModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/6/15.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//获取绑定用户的用户信息
class GetBindUserModel: Mappable {
    var code:Int?
    var message : String?
    var data :Array<GetBindUserDataModel>?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class GetBindUserDataModel: Mappable {
    var user_id:Int?//用户id
    var user_name:String? //用户名
 

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        user_id <- map["user_id"]
        user_name <- map["user_name"]
 
    }
}
