//
//  GoodsListModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/23.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//商品列表
class GoodsListModel: Mappable {
    var code:Int?
    var message : String?
    var data : GoodsListDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class GoodsListDataModel: Mappable {
    var count : Int?  //(筛选)商品总数
    var goods_res : Array<GoodsResModel>?  //商品数据

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        count <- map["count"]
        goods_res <- map["goods_res"]

     }
    
}
class GoodsResModel: Mappable {
    var sales : String?  //销量
    var sku_id : Int?  //规格
    var goods_id : Int?  //商品id
    var goods_name : String?  //商品名
    var goods_thumb : String?  //商品缩略图
    var is_show : Int?  //上、下架状态，0下架，1上架
    var price : String?  //价格
    var spec_str : String?   //商品规格字符串

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        sales <- map["sales"]
        sku_id <- map["sku_id"]
        goods_id <- map["goods_id"]
        goods_name <- map["goods_name"]
        goods_thumb <- map["goods_thumb"]
        is_show <- map["is_show"]
        price <- map["price"]
        spec_str <- map["spec_str"]

     }
    
}
