//
//  CusListAllModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/14.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//获取客户信息
class CusListAllModel: Mappable {
    var code:Int?
    var message : String?
    var data : Array<CusListAllDataModel>?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class CusListAllDataModel: Mappable {
    var cus_id : Int?  //客户id
    var cus_name : String?   //客户名
    var company : String?  //公司名
    var cus_type : Int?  //客户类型： 1个人 2企业
    var user_name : String?  //客户绑定的用户名

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        cus_id <- map["cus_id"]
        cus_name <- map["cus_name"]
        company <- map["company"]
        cus_type <- map["cus_type"]
        user_name <- map["user_name"]

     }
    
}
