//
//  GetGoodsInfoModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/14.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//获取商品信息
class GetGoodsInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data : Array<GetGoodsInfoDataModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class GetGoodsInfoDataModel: Mappable {
    var sku_id:Int?//sku_id
    var goods_id:Int?//goods_id

    var goods_img : String?//商品缩略图
    var goods_name : String?//商品名
    var origin_number : Int?//起订量
    var need_check : Int?
    var brand_name : String?//品牌名
    var inventory : Int?//可售库存
    var warehouse_inventory : Int?
    var adsale_inventory : Int?//预售库存(预售下单时用)
    var spec_str : String?//规格
    var unit : String?//单位
    var sku_attr : String?
    var price:String?//售价
    var tiered_pri:String?//阶梯价
    var adsale_tiered_pri:String?//预售阶梯价
    
    var target_Count:Int?//目标数量
    var target_Price:String?//目标价格
    
    var pog_id = 0
    var edit_status = 1
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        sku_id <- map["sku_id"]
        goods_id <- map["goods_id"]
        goods_img <- map["goods_img"]
        goods_name <- map["goods_name"]
        origin_number <- map["origin_number"]
        need_check <- map["need_check"]
        brand_name <- map["brand_name"]
        inventory <- map["inventory"]
        warehouse_inventory <- map["warehouse_inventory"]
        adsale_inventory <- map["adsale_inventory"]
        spec_str <- map["spec_str"]
        unit <- map["unit"]
        sku_attr <- map["sku_attr"]
        price <- map["price"]
        tiered_pri <- map["tiered_pri"]
        adsale_tiered_pri <- map["adsale_tiered_pri"]
        target_Count <- map["target_Count"]
        target_Price <- map["target_Price"]
        pog_id <- map["pog_id"]
        edit_status <- map["edit_status"]
    }
    
}
