//
//  AdminInfoModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/23.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//个人中心首页+账号信息
class AdminInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data : AdminInfoDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class AdminInfoDataModel: Mappable {
    var shop_name : String? //商店名
    var shop_img : String? //商店logo
    var logo_word_img : String? //商店文字logo
    var stall_name : String? //档口名
    var company_name : String? //公司名
    var user_name : String? //管理员账号
    var admin_name : String? //管理员名称
    var phone : String? //管理员手机号

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        shop_name <- map["shop_name"]
        shop_img <- map["shop_img"]
        logo_word_img <- map["logo_word_img"]
        stall_name <- map["stall_name"]
        company_name <- map["company_name"]
        user_name <- map["user_name"]
        admin_name <- map["admin_name"]
        phone <- map["phone"]
     }
    
}
