//
//  MessageListModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/6/2.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//消息列表

class MessageListModel: Mappable {
    var code:Int?
    var message : String?
    var data : Array<MessageListDataModel>?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class MessageListDataModel: Mappable {
    var pm_id : Int?  //消息id
    var message : String?   //消息内容
    var create_time : Double?  //时间
    var shop_id : Int?
    var title : String?    //消息标题

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        pm_id <- map["pm_id"]
        message <- map["message"]
        create_time <- map["create_time"]
        shop_id <- map["shop_id"]
        title <- map["title"]

     }
    
}
