//
//  ShopInfoModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/23.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//商家信息
class ShopInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data : ShopInfoDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class ShopInfoDataModel: Mappable {
    var shop_id : Int? //商店id
    var shop_name : String? //商店名
    var shop_img : String? //商店logo
    var province : Int? //省份id
    var city : Int? //城市ID
    var district : Int? //街道ID
    var address : String? //详细地址
    var shop_tel : String? //联系方式
    var shop_email : String? //邮件
    var shop_intro : String? //公司简介
    var shop_scale : String? //公司规模
    var stall_name : String? //档口名称
    var contacts_name : String?  //联系人姓名
    var contacts_phone : String? //联系人电话
    var identity_card_front : String? //负责人身份证(正面)
    var identity_card_back : String? //负责人身份证(反面)
    var agreement : String? //商家入驻协议
    var upload_status : Int?
    var business_licence_number : String? //营业执照号
    var business_sphere : String?   //法定经营范围
    var zhizhao : String?  //营业执照电子版
    var food_production_license : String? //流通许可证
    var addr_str : String? //商家地址(省市区）拼接

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        shop_id <- map["shop_id"]
        shop_name <- map["shop_name"]
        shop_img <- map["shop_img"]
        province <- map["province"]
        city <- map["city"]
        district <- map["district"]
        address <- map["address"]
        shop_tel <- map["shop_tel"]
        shop_email <- map["shop_email"]
        shop_intro <- map["shop_intro"]
        shop_scale <- map["shop_scale"]
        stall_name <- map["stall_name"]
        contacts_name <- map["contacts_name"]
        contacts_phone <- map["contacts_phone"]
        identity_card_front <- map["identity_card_front"]
        identity_card_back <- map["identity_card_back"]
        agreement <- map["agreement"]
        upload_status <- map["upload_status"]
        business_licence_number <- map["business_licence_number"]
        business_sphere <- map["business_sphere"]
        zhizhao <- map["zhizhao"]
        food_production_license <- map["food_production_license"]
        addr_str <- map["addr_str"]

    }
    
}
