//
//  VendorListModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/6/9.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//仓库列表
class VendorListModel: Mappable {
    var code:Int?
    var message : String?
    var data :Array<VendorListDataModel>?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
//仓库列表
class VendorListDataModel: Mappable {
    var ven_id:Int? //供应商id
    var shop_id : Int?
    var ven_name:String? //供应商名

    var province : Int?  //省id
    var city : Int?  //市id
    var district : Int?   //区id
    var address : String?   //详细地址
    var contacts_name:String? //联系人
    var contacts_phone : String?   //联系人电话
    var contacts_mobile : String?    //联系人手机号
    var zhizhao : String?   //营业执照
    var food_production_license : String?   //食品流通许可证
    var payable_money : String?   //详细地址
    var is_delete : Int?
    var p_cn : String?   //省
    var c_cn : String?  //市
    var d_cn : String?   //区

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        ven_id <- map["ven_id"]
        shop_id <- map["shop_id"]
        ven_name <- map["ven_name"]
        province <- map["province"]
        city <- map["city"]
        contacts_name <- map["contacts_name"]
        district <- map["district"]
        address <- map["address"]
        contacts_phone <- map["contacts_phone"]
        contacts_mobile <- map["contacts_mobile"]
        zhizhao <- map["zhizhao"]
        food_production_license <- map["food_production_license"]
        payable_money <- map["payable_money"]
        is_delete <- map["is_delete"]
        p_cn <- map["p_cn"]
        c_cn <- map["c_cn"]
        d_cn <- map["d_cn"]
 
    }
}
 
