//
//  BrandListInterface.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/29.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//MARK:--品牌列表
/*
params-key
user_name 用户名
keyword 搜索关键词
keyword 页数
*/
func brandList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("品牌列表", params, { (rep:DataResponse<brandListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--新增品牌
/*
params-key
user_name 用户名
keyword 搜索关键词
keyword 页数
*/
func brandAdd(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("新增品牌", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
