//
//  CusListModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/6/15.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//客户列表
class CusListModel: Mappable {
    var code:Int?
    var message : String?
    var data :Array<CusListDataModel>?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class CusListDataModel: Mappable {
    var cus_id:Int? //客户id
    var cus_name:String? //客户名
    var company : String?  //公司
    var cus_type : Int?    //客户类型 1个人 2企业
    var phone : String?    //联系电话
    var create_time : Double?   //1590485694,
    var update_time: Double?
    var is_del : Int?    //是否删除 1删除 0正常
    var shop_id : Int?
    var user_id : Int?     //绑定的用户id
    var discounts_rate : Int?      //优惠率，使用时除100
    var arrears_money : String?  //欠款金额
    var province : Int?   //省
    var city : Int?  //市
    var district : Int?   //区
    var address : String?
    var user_name : String?    //用户名
    var addr_res : String?  //客户公司地址

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        cus_id <- map["cus_id"]
        cus_name <- map["cus_name"]
        company <- map["company"]
        cus_type <- map["cus_type"]
        phone <- map["phone"]
        create_time <- map["create_time"]
        update_time <- map["update_time"]
        is_del <- map["is_del"]
        shop_id <- map["shop_id"]
        user_id <- map["user_id"]
        discounts_rate <- map["discounts_rate"]
        arrears_money <- map["arrears_money"]
        province <- map["province"]
        address <- map["address"]
        city <- map["city"]
        district <- map["district"]
        user_name <- map["user_name"]
        addr_res <- map["addr_res"]

    }
}
 
