//
//  CusSalesStatisticsModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/6/15.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//客户详情(销售统计)
class CusSalesStatisticsModel: Mappable {
    var code:Int?
    var message : String?
    var data :Array<CusSalesStatisticsDataModel>?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class CusSalesStatisticsDataModel: Mappable {
    var sum_number:String?//商品数量
    var sum_amount:String? //商品金额
    var sku_id : Int?    //商品sku_id
    var goods_name : String?       //商品名
    var order_type : Int?    //订单类型，1普通，4预售
 

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        sum_number <- map["sum_number"]
        sum_amount <- map["sum_amount"]
        sku_id <- map["sku_id"]
        goods_name <- map["goods_name"]
        order_type <- map["order_type"]
  
    }
}
