//
//  LoginModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/4/14.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//登录
class LoginModel: Mappable {
    var code:Int?
    var message : String?
    var data : LoginDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class LoginDataModel: Mappable {
    var user_token : String? //返回token值，用于用户验证
    var user_name : String?   //用户名

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        user_token <- map["user_token"]
        user_name <- map["user_name"]

     }
    
}
