//
//  EditFtNumberModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/22.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//修改购买商品数量


class EditFtNumberModel: Mappable {
    var code:Int?
    var message : String?
    var data : Array<EditFtNumberDataModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class EditFtNumberDataModel: Mappable {
    var number:String?
    var price : String?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        number <- map["number"]
        price <- map["price"]
    }
}

