//
//  EditOGPAdModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/18.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//修改预售订单商品价格
class EditOGPAdModel: Mappable {
    var code:Int?
    var message : String?
    var data : EditOGPAdDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class EditOGPAdDataModel: Mappable {
    var sum_amount : String?    //修改后订单金额
    var dj_amount : String?   //定金金额
    var wk_amount : String?  //尾款金额
    var goods_price : String?   //商品价格

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        sum_amount <- map["sum_amount"]
        dj_amount <- map["dj_amount"]
        wk_amount <- map["wk_amount"]
        goods_price <- map["goods_price"]
 
     }
    
}
