//
//  GetAddrsInfoModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/22.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//根据客户获取地址信息

class GetAddrsInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data : Array<GetAddrsInfoDataModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class GetAddrsInfoDataModel: Mappable {
    var caddr_id:Int?//客户地址id
    var cus_id : Int?//客户id
    var consignee : String?//联系人姓名
    var province:Int?//
    var city : Int?//
    var district : Int?//
    var street: Int?//
    var address:String?
    var mobile:String? //联系方式
    var is_default:Int?
    var addr_cn:String?  //联系人详细地址
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        caddr_id <- map["caddr_id"]
        cus_id <- map["cus_id"]
        consignee <- map["consignee"]
        province <- map["province"]
        city <- map["city"]
        district <- map["district"]
        street <- map["street"]
        address <- map["address"]
        mobile <- map["mobile"]
        is_default <- map["is_default"]
        addr_cn <- map["addr_cn"]
    }
}
