//
//  LogisticsCompanyModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/21.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//获取物流公司信息
class LogisticsCompanyModel: Mappable {
    var code:Int?
    var message : String?
    var data : Array<LogisticsCompanyDataModel>?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class LogisticsCompanyDataModel: Mappable {
    var lc_id : Int? //物流公司id
    var lc_name : String?  //物流公司名
 
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        lc_id <- map["lc_id"]
        lc_name <- map["lc_name"]
   
     }
    
}
