//
//  GeliPayInfoModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/23.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//支付账号信息
class GeliPayInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data : GeliPayInfoDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class GeliPayInfoDataModel: Mappable {
    var gelipay_username : String? //支付账号
 
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        gelipay_username <- map["gelipay_username"]
 
     }
    
}
