//
//  GetGelipayInfoModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/6.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//获取格利支付账号信息
class GetGelipayInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data : GetGelipayDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class GetGelipayDataModel: Mappable {
    var haveBind : Int?  //是否有绑定银行卡，1是0非
    var phone : String?  //绑定的手机号，为空字符串则为绑定手机号
    var haveUser : Int?  //是否有这个格利支付账号，1是0非
    var havePwd : Int?   //是否设置了支付密码，1是0非

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        haveBind <- map["haveBind"]
        phone <- map["phone"]
        haveUser <- map["haveUser"]
        havePwd <- map["havePwd"]

     }
    
}
