//
//  LocationGeliPayModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/23.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//格利支付的跳转
class LocationGeliPayModel: Mappable {
    var code:Int?
    var message : String?
    var data : LocationGeliPayDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class LocationGeliPayDataModel: Mappable {
    var url : String?  //跳转的URL，有效期为15秒
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        url <- map["url"]
     }
    
}
