//
//  ShopAdministratorInfoModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/6.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//获取商店超级管理员信息
class ShopAdministratorInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data : ShopAdministratorDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class ShopAdministratorDataModel: Mappable {
    var user_name : String? //超级管理员账号
    var mobile : String?  //超级管理员手机号
 
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        user_name <- map["user_name"]
        mobile <- map["mobile"]

     }
    
}
