//
//  StatisticsModel.swif.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/9.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//仓库列表
class StatisticsModel: Mappable {
    var code:Int?
    var message : String?
    var data : StatisticsDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
//仓库列表
class StatisticsDataModel: Mappable {
    var income_sum:Float?//总收入
    var expend_sum : Float?  //总支出
    var order_amount_sum : Float?//主营收入
    var finance_income:Float?//其他收入
    var expend:StatisticsExpendModel?//支出项
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        income_sum <- map["income_sum"]
        expend_sum <- map["expend_sum"]
        order_amount_sum <- map["order_amount_sum"]
        finance_income <- map["finance_income"]
        expend <- map["expend"]
    }
}
//仓库列表
class StatisticsExpendModel: Mappable {
    var fixed_purchase:Float?//固定采购
    var temp_purchase : Float? //临时采购
    var salary : Float?//员工工资
    var logistics:Float?  //运输费
    var rental:Float? //租金
    var refrigeration : Float? //冷藏费
    var other:Float? //其他费
    var boon:Float?   //福利样品
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        fixed_purchase <- map["fixed_purchase"]
        temp_purchase <- map["temp_purchase"]
        salary <- map["salary"]
        logistics <- map["logistics"]
        rental <- map["rental"]
        refrigeration <- map["refrigeration"]
        other <- map["other"]
        boon <- map["boon"]
    }
}
