//
//  VendorInterface.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/6/9.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//MARK:--供应商列表 +详情
//- 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
//params-key(
//user_token(验证token)
//keyword 搜索关键词
//page 页数
func vendorList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("供应商列表 +详情", params, { (rep:DataResponse<VendorListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--供应商编辑
//- 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
/*
//user_token(验证token)
ven_id 供应商id
ven_name 供应商名
 province 省id
 city 市id
 district 区id
 address 详细地址
 contacts_name 联系人
 contacts_phone  联系电话
 contacts_mobile 联系手机号
 zhizhao 营业执照
 food_production_license   食品流通许可证    
*/
func vendorEdit(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("供应商编辑", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--新增供应商
//- 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
/*
//user_token(验证token)
ven_name 供应商名
 province 省id
 city 市id
 district 区id
 address 详细地址
 contacts_name 联系人
 contacts_phone  联系电话
 contacts_mobile 联系手机号
 zhizhao 营业执照
 food_production_license   食品流通许可证
*/
func vendorAdd(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("新增供应商", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
