//
//  WorkInterface.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/29.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//MARK: --获取统计+权限


/**
params-key:

user_token(验证token)
star_time（开始时间，时间戳）
end_time(当前时间戳)

*/
func WorkcenterIndex(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("获取统计+权限", params, { (rep:DataResponse<WorkcenterIndexModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}
//MARK: --获取 权限
   
/**
params-key:

user_token(验证token)
 
*/
func WorkcenterAuths(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("获取权限", params, { (rep:DataResponse<WorkcenterAuthsModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}
//MARK: --获取统计、店铺二维码、待办事项信息
  
/**
params-key:

user_token(验证token)
star_time（开始时间，时间戳）
end_time(当前时间戳)

*/
func WorkcenterStatistics(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("获取统计、店铺二维码、待办事项信息", params, { (rep:DataResponse<WorkcenterStatisticsModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}
