//
//  brandListModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/29.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//MARK: - 应付账款列表
class brandListModel: Mappable {
    var code:Int?
    var message : String?
    var data :Array<brandListDataModel>?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class brandListDataModel: Mappable {
    var brand_id:Int?//品牌id
    var brand_name : String?//品牌名
    var brand_logo :String?  //品牌图标
    
    var brand_desc:String?//品牌描述
    var site_url : String?//站点地址
    var sort_order :Int?  //排序
    
    var is_show:Int?
    var brand_img : String?
    var wap_brand_desc :String?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        brand_id <- map["brand_id"]
        brand_name <- map["brand_name"]
        brand_logo <- map["brand_logo"]
        
        brand_desc <- map["brand_desc"]
        site_url <- map["site_url"]
        sort_order <- map["sort_order"]
        
        is_show <- map["is_show"]
        brand_img <- map["brand_img"]
        wap_brand_desc <- map["wap_brand_desc"]
    }
}
